#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <sys/time.h>
#include "dioctl_api.h"

int main(int argc,char *argv[]) {
  int d = dio_open(argc>1?argv[1]:"");
  char *name;
   int val;

  dio_set(d,"RED_LED",1);
  assert(dio_get(d,"RED_LED") == 1);
  usleep(100000);
  dio_set(d,"RED_LED",0);
  assert(dio_get(d,"RED_LED") == 0);
  usleep(100000);
  dio_set(d,"GREEN_LED",1);
  assert(dio_get(d,"GREEN_LED") == 1);
  usleep(100000);
  dio_set(d,"GREEN_LED",0);
  assert(dio_get(d,"GREEN_LED") == 0);
  printf("GREEN_LED is DIO %d\n",dio_lookup(d,"GREEN_LED"));
  printf("RED_LED is DIO %d\n",dio_lookup(d,"RED_LED"));

   while (dio_names(d,&name,&val) != -1) {
      printf("%s=%d\n",name,val);
   }
   dio_close(d);
}

// gcc -static diotest1.c -L. -ldioctl -o diotest1
/*
  Author: Michael Schmidt (michael@embeddedARM.com)
 */
